package com.foc.ods.entity;

import java.sql.Timestamp;
import java.sql.Date;

public class OdsDetailEntity{

    protected String id;  //ID编号

    protected String changeSno;  //ODS飞行计划调整编号

    protected Date fltDate;  //航班日期

    protected String acType;  //换机型

    protected String flightNo;  //航班号

    protected String oldAcType;  //原机型

    protected String acNo;  //换机号

    protected String oldAcNo;  //原机号

    protected Timestamp std;  //计划起飞时间

    protected String depStn;  //起飞机场

    protected String arrStn;  //到达机场

    protected Timestamp sta;  //计划到达时间

    protected String status;  //航班状态:ARR 落地;NDR 落地;ATD 推出;ATA 到达;CNL 取消;DEL 延误;DEP 起飞;RTR 返航;SCH 计划

    protected Timestamp etd;  //预计起飞时间

    protected Timestamp eta;  //预计到达时间

    protected String fType;  //调整类型

    protected Timestamp modified;  //

    protected String delayCode;  //延误代码原因

    protected Integer dur1;  //延误时间

    protected String delay1;  //延误代码

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getChangeSno() {
        return changeSno;
    }

    public void setChangeSno(String changeSno) {
        this.changeSno = changeSno;
    }

    public Date getFltDate() {
        return fltDate;
    }

    public void setFltDate(Date fltDate) {
        this.fltDate = fltDate;
    }

    public String getAcType() {
        return acType;
    }

    public void setAcType(String acType) {
        this.acType = acType;
    }

    public String getFlightNo() {
        return flightNo;
    }

    public void setFlightNo(String flightNo) {
        this.flightNo = flightNo;
    }

    public String getOldAcType() {
        return oldAcType;
    }

    public void setOldAcType(String oldAcType) {
        this.oldAcType = oldAcType;
    }

    public String getAcNo() {
        return acNo;
    }

    public void setAcNo(String acNo) {
        this.acNo = acNo;
    }

    public String getOldAcNo() {
        return oldAcNo;
    }

    public void setOldAcNo(String oldAcNo) {
        this.oldAcNo = oldAcNo;
    }

    public Timestamp getStd() {
        return std;
    }

    public void setStd(Timestamp std) {
        this.std = std;
    }

    public String getDepStn() {
        return depStn;
    }

    public void setDepStn(String depStn) {
        this.depStn = depStn;
    }

    public String getArrStn() {
        return arrStn;
    }

    public void setArrStn(String arrStn) {
        this.arrStn = arrStn;
    }

    public Timestamp getSta() {
        return sta;
    }

    public void setSta(Timestamp sta) {
        this.sta = sta;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Timestamp getEtd() {
        return etd;
    }

    public void setEtd(Timestamp etd) {
        this.etd = etd;
    }

    public Timestamp getEta() {
        return eta;
    }

    public void setEta(Timestamp eta) {
        this.eta = eta;
    }

    public String getFType() {
        return fType;
    }

    public void setFType(String fType) {
        this.fType = fType;
    }

    public Timestamp getModified() {
        return modified;
    }

    public void setModified(Timestamp modified) {
        this.modified = modified;
    }

    public String getDelayCode() {
        return delayCode;
    }

    public void setDelayCode(String delayCode) {
        this.delayCode = delayCode;
    }

    public Integer getDur1() {
        return dur1;
    }

    public void setDur1(Integer dur1) {
        this.dur1 = dur1;
    }

    public String getDelay1() {
        return delay1;
    }

    public void setDelay1(String delay1) {
        this.delay1 = delay1;
    }
}